Bug 28213 - Xamarin Studio on OSX fails to compile where Visual Studio 2013 succeeds
Summary: Xamarin Studio on OSX fails to compile where Visual Studio 2013 succeeds
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-03-19 16:31 UTC by Jeremy Kolb
Modified: 2015-03-26 05:08 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Jeremy Kolb 2015-03-19 16:31:55 UTC
If you try to compile https://github.com/kjeremy/MvxAndroid.Support.V7 in Xamarin Studio on OSX it will fail because MvxRecyclerView.Adapter hides RecyclerView.Adapter and treats that as an error even with the "Treat warnings as errors checkbox off".

It succeeds with Visual Studio 2013 (though there is a warning).
Comment 1 Jeremy Kolb 2015-03-20 16:05:25 UTC
The build also succeeds with Xamarin Studio on a Windows 7 PC.
Comment 2 Seifer 2015-03-24 14:22:50 UTC
I do have an issue on OSX.
Comment 3 Marek Safar 2015-03-26 05:08:19 UTC
Fixed in master and Mono 4.0

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 28213 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: